package ShowAssetImage::CMS;

sub change_html {
    my ($cb, $app, $tmpl) = @_;

    my $path;
    if ( MT->version_number >= 5.2 ) {
        $path = '<$mt:var name="script_url"$>';
    } else {
        $path = "<mt:CGIPath><mt:AdminScript>";
    }

    my $old = <<HERE;
    <mt:loop name="asset_loop">
      <li id="list-asset-<mt:var name="asset_id">" class="asset-file asset-type-<mt:var name="asset_type" escape="html" lower_case="1">"<mt:if name="asset_thumb"> onmouseover="show('list-image-<mt:var name="asset_id">')" onmouseout="hide('list-image-<mt:var name="asset_id">')"</mt:if>>
        <a href="${path}?__mode=view&_type=asset&blog_id=<mt:var name="blog_id">&id=<mt:var name="asset_id">" class="asset-title">
          <mt:var name="asset_name">
        </a>
        <a href="javascript:removeAssetFromList(<mt:var name="asset_id">)" title="<__trans phrase="Remove this asset.">" class="remove-asset icon-remove icon16 action-icon"><__trans phrase="Remove"></a>
      <mt:if name="asset_thumb">
        <img id="list-image-<mt:var name="asset_id">" class="list-image" src="<mt:var name="asset_thumb">" style="display:none" /> 
      </mt:if>
      </li>
    </mt:loop>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
    <mt:loop name="asset_loop">
      <li id="list-asset-<mt:var name="asset_id">" class="asset-file asset-type-<mt:var name="asset_type" escape="html" lower_case="1">">
        <a href="<mt:CGIPath><mt:AdminScript>?__mode=view&_type=asset&blog_id=<mt:var name="blog_id">&id=<mt:var name="asset_id">" class="asset-title">
          <mt:var name="asset_name">
        </a>
        <a href="javascript:removeAssetFromList(<mt:var name="asset_id">)" title="<__trans phrase="Remove this asset.">" class="remove-asset icon-remove icon16 action-icon"><__trans phrase="Remove"></a>
      <mt:if name="asset_thumb">
        <img id="list-image-<mt:var name="asset_id">" src="<mt:var name="asset_thumb">" /> 
      </mt:if>
      </li>
    </mt:loop>
HERE
    $$tmpl =~ s/$old/$new/;
}

1;
